Update an integration
https://api.propexo.com/v1/admin/integrations/:integration_id/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- object
- Entrata
- MRI
- Propertyware REST
- RealpageRegisteredVendor
- Propertyware SOAP
- RentManagerSandbox
- RentManagerProduction
- Buildium
- Resman
- AppFolio
- RealpagePartnerExchange
- EliseAI
- Knock
- Rentvine
- Yardi
- Yardi REST
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
The integration vendor
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTcredentials object
JSON encoded credentials for accessing the integration vendor API
The name of the integration
Deprecated: Do not use.
Show 2 enum values
PRODUCTIONSANDBOXThe interval of the scheduled sync frequency. (e.g. "12" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false.
The cadence of the scheduled sync frequency. (e.g. "HOUR" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false.
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDThe cadence at which to limit the max request frequency. (e.g. "SECOND" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDSECONDSECONDThe maximum number of requests sent to the PMS API per cadence unit. (e.g. "2" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute
Possible values: >= 1
11Maximum number of jobs that can be run at once for the integration. (e.g. "1" in the following: 1 request per 2 SECONDs)
Possible values: >= 1 and <= 100
11The active state of the integration
DEPRECATED. See specific PMS credentials for usage.
Whether or not properties need to be approved before ingesting data for them.
Deprecated: This is no longer configurable and will always be true
truecustom_sync_schedule object
A custom sync schedule configuration object
Show 1 enum value
WEEK_BASEDShow 8 enum values
UTCAmerica/New_YorkAmerica/ChicagoAmerica/DenverAmerica/PhoenixAmerica/Los_AngelesAmerica/AnchoragePacific/Honoluluinterval objectrequired
SUNDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDMONDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDTUESDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDWEDNESDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDTHURSDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDFRIDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDSATURDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDOpt-in to use the configured custom_sync_schedule
Response
Successful response
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
result objectrequired
The unique identifier for the integration
The date the integration was created
The date the integration was last updated
The name of the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe active state of the integration
The system the integration is associated with
Show 2 enum values
PRODUCTIONSANDBOXDeprecated: See the job schedules endpoint for this information. The interval of the scheduled sync frequency. (e.g. "12" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false.
Deprecated: See the job schedules endpoint for this information. The cadence of the scheduled sync frequency. (e.g. "HOUR" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false.
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDThe cadence at which to limit the max request frequency. (e.g. "SECOND" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDSECONDSECONDThe maximum number of requests sent to the PMS API per cadence unit. (e.g. "2" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute
Possible values: >= 1
1010Maximum number of jobs that can be run at once for the integration. (e.g. "1" in the following: 1 request per 2 SECONDs)
Possible values: >= 1
11DEPRECATED: see specific PMS credentials. Base URL for the integration vendor API
Whether or not the integration is archived
Whether or not properties need to be approved before ingesting data for them.
Deprecated: This is no longer configurable and will always be true
truecustom_sync_schedule object
Show 1 enum value
WEEK_BASEDShow 8 enum values
UTCAmerica/New_YorkAmerica/ChicagoAmerica/DenverAmerica/PhoenixAmerica/Los_AngelesAmerica/AnchoragePacific/Honoluluinterval objectrequired
SUNDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDMONDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDTUESDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDWEDNESDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDTHURSDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDFRIDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDSATURDAY object
slots object[]required
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d)
Possible values: > 0
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDOpt-in to use the configured custom_sync_schedule
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/admin/integrations/:integration_id/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_vendor": "APPFOLIO",
"credentials": {},
"name": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE",
"max_request_cadence": "SECOND",
"max_request_frequency": 1,
"max_job_concurrency": 1,
"active": true,
"new_properties_are_enabled": true,
"custom_sync_schedule": {
"type": "WEEK_BASED",
"timezone": "UTC",
"interval": {
"SUNDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"MONDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"TUESDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"WEDNESDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"THURSDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"FRIDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"SATURDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
}
}
},
"use_custom_sync_schedule": true
}'
{
"result": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"integration_vendor": "APPFOLIO",
"active": true,
"system": "PRODUCTION",
"max_request_cadence": "SECOND",
"max_request_frequency": 10,
"max_job_concurrency": 1,
"is_archived": true,
"new_properties_are_enabled": true,
"custom_sync_schedule": {
"type": "WEEK_BASED",
"timezone": "UTC",
"interval": {
"SUNDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"MONDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"TUESDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"WEDNESDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"THURSDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"FRIDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
},
"SATURDAY": {
"slots": [
{
"start": "string",
"end": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE"
}
]
}
}
},
"use_custom_sync_schedule": true
}
}